« Doxygenでの名前空間について | トップページ | Win7ProでUSBマウス消えた »

2009-11-26

Vine Linux 5 に avast4 をインストール

先日、ようやくVine 5.0にアップグレードしてみました。

そこで、Windows 機でも使っているウィルス対策ソフトの
avast 4をインストールしてみました。

http://www.avast.com/jpn/avast-for-linux-workstation.html

でRPMをダウンロードして、インストールします。

# rpm -ivh avast4workstation-1.3.0-1.i586.rpm
エラー: 依存性の欠如:
libexpat.so.0 は avast4workstation-1.3.0-1.i586 に必要とされています


エラーになりました。
誰かに必要とされる事は、素敵な事なのではないかと想像します。
私には想像する事しかできません。
想像する事すら許されないかも知れません。

まぁいいや。

libexpatを探します。

# apt-cache search libexpat
libexpat - Expat のための実行ライブラリ
libexpat1 - Expat のための実行ライブラリ


で、とりあえずインストールしてみる。

# apt-get install libexpat
* libexpat は既に最新バージョンがインストールされています。


との事です。
もうひとつの方 (libexpat1) には、libexpat.so.0 は含まれるんでしょうか?

# apt-cache files libexpat1
/usr/lib/libexpat.so.0
/usr/lib/libexpat.so.0.5.0


入っているようです。

# apt-get install libexpat1


で libexpat.so.0 が用意できたので、
avast をインストールします。

# rpm -ivh avast4workstation-1.3.0-1.i586.rpm


めでたく、インストールできました。


|

« Doxygenでの名前空間について | トップページ | Win7ProでUSBマウス消えた »

Linux」カテゴリの記事

コメント

コメントを書く



(ウェブ上には掲載しません)




トラックバック


この記事へのトラックバック一覧です: Vine Linux 5 に avast4 をインストール:

« Doxygenでの名前空間について | トップページ | Win7ProでUSBマウス消えた »